/// <reference types="react" />
import Stripe from "stripe";
import { Reducer } from "./reducers";
import { Product, SelectedPricing, ModalOptions, BillingOptions, BillingError } from "../types";
export interface State {
    loaded: boolean;
    liveMode: boolean;
    stripeAccount?: string;
    productPageUrl?: string;
    user: any;
    authStateListener: () => void;
    authStateLoading: boolean;
    stripe: Stripe | null;
    activeSubscriptions?: Stripe.Subscription[];
    product?: Product;
    pricing?: SelectedPricing;
    promotionCode?: Stripe.PromotionCode;
    modalOptions: ModalOptions;
    billingOptions: BillingOptions;
    paymentModalVisible: boolean;
    paymentError: string;
    paymentSuccessful: boolean;
    paymentProcessing: boolean;
    onPaymentSuccessful: () => void;
    onPaymentError: (error: Error) => void;
    onError: (error: BillingError) => void;
}
interface ContextProvided {
    state: State;
    dispatch: any;
}
export declare const initState: State;
export interface Action {
    type: Reducer;
    payload?: any;
}
declare const _default: import("react").Context<ContextProvided>;
export default _default;
